PullFromGitRemote
POST
/api/v1/t/{tenant}/workflows/git-remote/pull
const url = 'https://example.com/api/v1/t/example/workflows/git-remote/pull';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"ref":"example","kind":"Branch","applyWhenReady":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/t/example/workflows/git-remote/pull \ --header 'Content-Type: application/json' \ --data '{ "ref": "example", "kind": "Branch", "applyWhenReady": true }'Parameters
Abschnitt betitelt „ Parameters “Path Parameters
Abschnitt betitelt „Path Parameters“tenant
required
string
Tenant slug
Request Bodyrequired
Abschnitt betitelt „Request Bodyrequired“Responses
Abschnitt betitelt „ Responses “OK
Media typeapplication/json
object
id
required
string format: uuid
state
required
packageSha256
required
string
commitSha
required
null | string
workflows
required
Array<object>
object
key
required
string
name
required
string
template
required
definitionId
required
null | string format: uuid
new
required
boolean
draftVersion
required
null | integer format: uint32
change
required
draftChange
required
scripts
required
checks
required
Array<object>
object
file
required
string
checked
required
boolean
errors
required
integer format: int32
warnings
required
integer format: int32
unmapped
required
Array<object>
object
kind
required
key
required
string
number
required
null | string
remembered
required
Array<object>
object
kind
required
key
required
string
number
required
null | string
target
required
string format: uuid
expiresAt
required
string format: date-time
Example
{ "state": "NeedsMapping", "workflows": [ { "template": "InvoiceApproval", "change": "New", "draftChange": "None", "scripts": [ { "change": "Added", "draftChange": "Added" } ] } ], "unmapped": [ { "kind": "DocumentType" } ], "remembered": [ { "kind": "DocumentType" } ]}Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Conflict
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Too Many Requests
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Bad Gateway
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}